%define anolis_release 1

Name:           libgdata
Version:        0.18.1
Release:        %{anolis_release}%{?dist}
Summary:        Library for the GData protocol

License:        LGPLv2+
URL:            https://wiki.gnome.org/Projects/libgdata
Source0:        https://download.gnome.org/sources/%{name}/0.18/%{name}-%{version}.tar.xz

# https://gitlab.gnome.org/GNOME/libgdata/-/merge_requests/47
# Build against gcr 4
Patch0:         47.patch

BuildRequires:  gcr-devel
BuildRequires:  gettext
BuildRequires:  glib2-devel
BuildRequires:  gnome-online-accounts-devel
BuildRequires:  gobject-introspection-devel
BuildRequires:  gtk-doc
BuildRequires:  json-glib-devel
BuildRequires:  libsoup-devel
BuildRequires:  libxml2-devel
BuildRequires:  meson
BuildRequires:  vala

%description
libgdata is a GLib-based library for accessing online service APIs using the
GData protocol --- most notably, Google's services. It provides APIs to access
the common Google services, and has full asynchronous support.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary:        Doc files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description doc
Doc files for %{name}

%prep
%autosetup -p1

%build
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%meson \
  -Dalways_build_tests=false \
  -Dinstalled_tests=false \
  -Dgtk_doc=true \
  -Doauth1=disabled \
  %{nil}
%meson_build

%install
%meson_install

%find_lang gdata

%generate_compatibility_deps

%check
# Only the general test can be run without network access
# Actually, the general test doesn't work either without gconf
#cd gdata/tests
#./general


%files -f gdata.lang
%license COPYING
%{_libdir}/libgdata.so.22*
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/GData-0.0.typelib
%dir %{abidir}
%{abidir}/libgdata.dump

%files devel
%{_includedir}/*
%{_libdir}/libgdata.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gtk-doc/
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/GData-0.0.gir
%{_datadir}/vala/

%files doc
%doc NEWS README AUTHORS

%changelog
* Tue Apr 04 2023 happy_orange <songnannan@linux.alibaba.com> - 0.18.1-1
- init package
